package com.hzs.system.config.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hzs.common.domain.system.config.BdBarCode;
import com.hzs.common.domain.system.config.ext.BdBarCodeExt;
import com.hzs.system.config.mapper.BdBarCodeMapper;
import com.hzs.system.config.service.IBdBarCodeService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 条码配置 服务实现类
 */
@Service
public class BdBarCodeServiceImpl extends ServiceImpl<BdBarCodeMapper, BdBarCode> implements IBdBarCodeService {

    @Override
    public List<BdBarCodeExt> queryBarCodeList(BdBarCodeExt barCodeExt) {
        return baseMapper.queryBarCodeList(barCodeExt);
    }

    @Override
    public BdBarCode getOneBarCode(Long pkId) {
        return baseMapper.getOneBarCode(pkId);
    }

    @Override
    public int updateUsedBarCode(List<Integer> idList, Integer type, Long userId, Integer pkCountry) {
        return baseMapper.updateUsedBarCode(idList, type, userId, pkCountry);
    }

}
